<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license.  If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package    QuickTalk Guestbook
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2009-2012 The PHP Group
* @version    2.0 build:20091003
*/

session_start();

require_once('bin/qtg_init.php');

$id = -1;
if ( isset($_POST['id']) ) $id = intval(trim($_POST['id']));
if ( isset($_GET['id']) ) $id = intval(trim($_GET['id']));
if ( $id<0 ) die('ID '.$L['E_invalid']);

if ( isset($_GET['page']) ) { $intPage=intval($_GET['page']); } else { $intPage=1; }

$bAdm = false;
if ( isset($_POST['adm']) ) $bAdm = true;
if ( isset($_GET['adm']) ) $bAdm = true;

if ( $bAdm )
{
  if ( !isset($_SESSION['qtgAuth']) ) header('Location: login.php');
  if ( $_SESSION['qtgAuth']!='yes' ) header('Location: login.php');
  include(GetLang().'qtg_adm.php');
  $qtg_skin = 'admin';
  $pg_name=$L['Delete'];
}
else
{
  $pg_name=$L['Delete_my_message'];
}

$pg_url='qtg_msg_del.php';

// --------
// SUBMITTED
// --------

if (isset($_GET['do']))
{
  if ( !$bAdm )
  {
    if ( $_SERVER['REMOTE_ADDR']!=$oDB->ip )
    {
    echo 'This is not your message...<br/>'.$qtg_back; 
    exit;
    }
    if ( !isset($_SESSION['qtg_beginedit']) || !isset($_SESSION['qtg_endedit']) )
    {
    echo 'Out of time...<br/>'.$qtg_back;
    exit;
    }
    if ( time()+0>$_SESSION['qtg_endedit'] )
    {
    echo 'Out of time...<br/>'.$qtg_back;
    exit;
    }
  }

  $oDB->Query('DELETE FROM '.TABMESSAGE.' WHERE id='.$id);

  echo '<h1>',$L['Message_deleted'],'</h1>';
  if ( $bAdm ) { echo '<a id="exiturl" href="qtg_adm_msg.php">',$L['Messages'],'</a>'; } else { echo $qtg_back; }
  echo '
  <script type="text/javascript">
  <!--
  setTimeout(\'window.location=document.getElementById("exiturl").href\',0);
  -->
  </script>
  ';
  exit;
}

// --------
// HTML START
// --------

include('qtg_p_header.php');
if ( $bAdm ) include('qtg_adm_menu.php');

echo '
<div id="msg_add">
';

$oPost = new cPost($id);
$oPost->x=0; // disable map
$oPost->y=0;
include('qtg_msg_msg.php');

echo '
<table cellspacing="0" class="button" style="width:200px;">
<tr>
<td class="button"><a href="qtg_msg_del.php?',($bAdm ? 'adm&amp;' : ''),'id=',$id,'&amp;page=',$intPage,'&amp;do=delete"><b>',$L['Delete'],' !</b></a></td>
</tr>
</table>
';

// --------
// HTML END
// --------

echo '</div>';
include('qtg_p_footer.php');

?>